Fetch full content for specific documents or observations by their IDs. Batch endpoint supporting up to 50 IDs per request.
Authorization
apiKey AuthorizationBearer <token>
Use your Lightfast API key (sk-lf-...) as the bearer token. Optionally include X-Workspace-ID header.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://lightfast.ai/v1/contents" \ -H "Content-Type: application/json" \ -d '{ "ids": [ "string" ] }'{
"data": {
"items": [
{
"id": "string",
"title": "string",
"source": "string",
"type": "string",
"url": "string",
"occurredAt": "2019-08-24T14:15:22Z",
"snippet": "string",
"content": "string",
"metadata": {
"property1": null,
"property2": null
}
}
],
"missing": [
"string"
]
},
"meta": {
"total": 0
},
"requestId": "string"
}Empty
Empty
Empty